---
schema_version: "1"
id: a9d5f5c8309ad986d41c06b4d19bbd6053ca9b65b19a0fa083ed372f390707de
title: Einstein Recommendations API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/pb-api.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/guide/pb-api.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 8fbd6509f260eaa8e8e1f30901be1ccd6c7d62df0e38e2bde06c1ff65737de79
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# Einstein Recommendations API

The Einstein Recommendations engine empowers marketers to deliver millions of messages across key digital channels that are personalized for each individual’s needs, interests, and preferences.

Developers use the Einstein Recommendations API to update the data used to provide recommendations, manage consumer privacy requests, and to easily download large reports.

## Set Up Your Development Environment

1.  In the Marketing Cloud Engagement web interface, go to **Einstein > Email or Web Recommendations > Reporting > Admin Tools > Manage API Keys**.

2.  Copy the **Crimson Kraken** API key value. This key is created when your account is provisioned.

3.  To authenticate your calls, pass the API key in the header like this:

    ```
    Host: https://app.igodigital.com
    POST /api/v2/organization/{customer_mid}/...
    Content-Type: application/json
    Authorization: Bearer YOUR_API_KEY
    ```

## See Also

- [Privacy Batch API](https://developer.salesforce.com/docs/marketing/marketing-cloud/guide/pb-privacy-api.md)
- [Download Email Recommendation Log](https://developer.salesforce.com/docs/marketing/marketing-cloud/guide/pb-email-rec-log.md)
- _Salesforce Help_: [Customize the Calls](https://help.salesforce.com/articleView?id=mktg.mc_pb_customize_the_calls.htm)

Rights of ALBERT EINSTEIN are used with permission of The Hebrew University of Jerusalem. Represented exclusively by Greenlight.
